<? /* $Id: test_suresign.php,v 1.1 2005/04/28 01:21:46 mike Exp $ */ ?>
<? /*
	This is a trivial web script to exercise the SureSign
	extension for invisibly watermarking images.  Copy it, along
	with your "Signum.ini" file, to a PHP-enabled directory on a
	PRIVATE web-server, and make a world-writable directory
	/tmp/suresign.  In that directory, place the images you want
	to watermark, then invoke this script to perform the
	watermarking.  The resulting image will also be placed in
	/tmp/suresign.  Once you have produced a watermarked image,
	you can read the marking using PHP/CLI like this:
	    php -r 'print var_dump(suresign_read_watermark("image.jpeg"));'
*/ ?>
<? echo '<?xml version="1.0" encoding="ISO-8859-1"?>' . "\n" ?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
 <head>
  <meta name="Author" content="Mike Taylor"/>
  <meta name="Date" content="27th April 2005"/>
  <title>PHP extension SureSign - Test Page</title>
 </head>
 <body>
  <h1>PHP extension SureSign - Test Page</h1>
<?
if(!extension_loaded('suresign')) {
    dl('suresign.' . PHP_SHLIB_SUFFIX);
}
if (!extension_loaded('suresign')) {
    echo "Module 'suresign' is not compiled into PHP";
} else {
    $id = $_GET['id'];
    $weight = $_GET['weight'];
    $infile = $_GET['infile'];
    $outfile = $_GET['outfile'];
    if (!$id) {
	list_functions();
	show_form();
    } else if (!strlen($weight) || !$infile || !$outfile) {
	echo "<p>Please fill in the whole form.</p>\n";
	echo "<p>Go <b>back</b> and try again.</p>\n";
    } else {
	echo "<p>Watermarking file '$infile' with id '$id' (weight $weight) " .
	    "yielding new file '$outfile' ...</p>\n";
	### Security problems here: don't use on a public server!
	$infile = "/tmp/suresign/$infile";
	$outfile = "/tmp/suresign/$outfile";
	$errnum = suresign_write_watermark($id, $weight, $infile, $outfile);
	echo "<p>suresign_write_watermark() returned $errnum</p>";
	if ($errnum != 0) {
	    echo "<p><b>" . suresign_errstr($errnum) . "</b></p>\n";
	} else {
	    echo "<p><b>OK!</b></p>\n";
	}
    }
}

function list_functions() {
    $functions = get_extension_funcs('suresign');
    echo "  <p>Functions available in the test extension:</p>\n";
    echo "  <ul>\n";
    foreach($functions as $func) {
	echo "   <li><tt>$func()</tt></li>\n";
    }
}

function show_form() {
    echo "  </ul>\n";
    echo "  <form type='GET'>\n";
    echo "   <p>ID to watermark with: <input name='id'/></p>\n";
    echo "   <p>Weight of watermark: <input name='weight'/></p>\n";
    echo "   <p>File to watermark: <input name='infile'/></p>\n";
    echo "   <p>File for watermarked image: <input name='outfile'/></p>\n";
    echo "   <p><input type='submit'/></p>\n";
    echo "  </form>\n";
}
?>
 </body>
</html>
